Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface Record

All Superinterfaces:
  Cloneable, Serializable

All Known Subinterfaces:
  IndexedRecord, MappedRecord, ResultSet

public interface Record
extends Cloneable, Serializable

The Record interface is the base interface for representing input and output for an Interaction. A Record can be extended in several ways:

- MappedRecord based on a Map
- IndexedRecord based on a List
- ResultSet based on a java.sql.ResultSet
- Arbitrary JavaBean

Both MappedRecord and IndexedRecord support heirarchical structures of Records with Records within Records.

Method Summary
`Object` | `clone()` Creae a copy of this Record
`boolean` | `equals(Object other)` Compare two Records for equality
`String` | `getRecordName()` Get the name of this Record.
`String` | `getRecordShortDescription()` Get the short description of this Record
`int` | `hashCode()`
`void` | `setRecordName(String name)` Set the name of this Record.
`void` | `setRecordShortDescription(String description)` Set the short description of this Record

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creae a copy of this Record

  Throws:
    `CloneNotSupportedException`

### equals

    public boolean equals(Object other)

  Compare two Records for equality

### hashCode

    public int hashCode()

### getRecordName

    public String getRecordName()

  Get the name of this Record.

### setRecordName

    public void setRecordName(String name)

  Set the name of this Record.

### getRecordShortDescription

    public String getRecordShortDescription()

  Get the short description of this Record

### setRecordShortDescription

    public void setRecordShortDescription(String description)

  Set the short description of this Record

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.